/*
 * MPQCDataUnitTest.hpp
 *
 *  Created on: Feb 9, 2012
 *      Author: heber
 */

#ifndef MPQCDATAUNITTEST_HPP_
#define MPQCDATAUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include <cppunit/extensions/HelperMacros.h>

class MPQCData;


/********************************************** Test classes **************************************/

class MPQCDataTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( MPQCDataTest) ;
    CPPUNIT_TEST ( operatorTest );
    CPPUNIT_TEST ( serializationTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void operatorTest();
      void serializationTest();

private:
      MPQCData *data;
};

#endif /* MPQCDATAUNITTEST_HPP_ */
